LibreOffice: SearchOptions Struct Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
SearchOptions Struct Referencepublished

`import"SearchOptions.idl";`

Inheritance diagram for SearchOptions:

## Public Attributes
SearchAlgorithms | algorithmType
| search type More...
long | searchFlag
| some flags - can be mixed More...
string | searchString
| The text or pattern to be searched. More...
string | replaceString
| The replacement text (is for optional replacing - SearchOption is only the data container for it) More...
::com::sun::star::lang::Locale | Locale
| The locale for case insensitive search. More...
long | changedChars
| This many characters can be different (as a replacement) between the found word and the search pattern in a "Weighted Levenshtein Distance" search. More...
long | deletedChars
| This many characters can be missing in the found word in a "Weighted Levenshtein Distance" search. More...
long | insertedChars
| This many characters can be additional in the found word in a "Weighted Levenshtein Distance" search. More...
long | transliterateFlags
| Flags for the transliteration. More...

## Member Data Documentation

## ◆ algorithmType

SearchAlgorithms algorithmType

search type

## ◆ changedChars

long changedChars

This many characters can be different (as a replacement) between the found word and the search pattern in a "Weighted Levenshtein Distance" search.

## ◆ deletedChars

long deletedChars

This many characters can be missing in the found word in a "Weighted Levenshtein Distance" search.

## ◆ insertedChars

long insertedChars

This many characters can be additional in the found word in a "Weighted Levenshtein Distance" search.

## ◆ Locale

::com::sun::star::lang::Locale Locale

The locale for case insensitive search.

## ◆ replaceString

string replaceString

The replacement text (is for optional replacing - SearchOption is only the data container for it)

## ◆ searchFlag

long searchFlag

some flags - can be mixed

See also
  SearchFlags

## ◆ searchString

string searchString

The text or pattern to be searched.

## ◆ transliterateFlags

long transliterateFlags

Flags for the transliteration.

Same meaning as the enum of com::sun::star::i18n::TransliterationModules

The documentation for this struct was generated from the following file:

- com/sun/star/util/SearchOptions.idl